# $Revision: 1.3 $, $Date: 2002/09/12 22:21:08 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Locale
%define	pnam	SubCountry
Summary:	Locale::SubCountry - convert state, province, county etc. names to/from code
Summary(pl):	Locale::SubCountry - zamiana nazw stanu, prowincji, kraju itp. na i z kodu
Name:		perl-Locale-SubCountry
Version:	1.21
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module allows you to convert the full name for a countries
administrative region to the code commonly used for postal addressing.
The reverse lookup can also be done. Sub country codes are defined in
"ISO 3166-2:1998, Codes for the representation of names of countries
and their subdivisions".

%description -l pl
Ten modu pozwala zamienia pene nazwy obszarw administracyjnych
krajw na kody pocztowe. Moliwa jest take odwrotna zamiana. Kody
wewntrzne krajw s zdefiniowane w "ISO 3166-2:1998, Codes for the
representation of names of countries and their subdivisions".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Locale-SubCountry.spec,v $
Revision 1.3  2002/09/12 22:21:08  radek
- version 1.21
- added Changes file
STBR

Revision 1.2  2002/08/22 20:56:27  qboosh
- pl description

Revision 1.1  2002/08/22 16:42:53  radek
- new, STBR
